Package common

# Class Signal

java.lang.Object
common.Signal

public class Signal extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Signal()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `void`
  `connect(Runnable listener)`
  `void`
  `emit()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Signal

    public Signal()

- ## Method Details

  - ### connect

    public void connect(Runnable listener)

  - ### clear

    public void clear()

  - ### emit

    public void emit()